# GNU Make solution makefile autogenerated by Premake
# Type "make help" for usage help

ifndef config
  config=debug32
endif
export config

PROJECTS := condense pretty tutorial serialize

.PHONY: all clean help $(PROJECTS)

all: $(PROJECTS)

condense: 
	@echo "==== Building condense ($(config)) ===="
	@${MAKE} --no-print-directory -C . -f condense.make

pretty: 
	@echo "==== Building pretty ($(config)) ===="
	@${MAKE} --no-print-directory -C . -f pretty.make

tutorial: 
	@echo "==== Building tutorial ($(config)) ===="
	@${MAKE} --no-print-directory -C . -f tutorial.make

serialize: 
	@echo "==== Building serialize ($(config)) ===="
	@${MAKE} --no-print-directory -C . -f serialize.make

clean:
	@${MAKE} --no-print-directory -C . -f condense.make clean
	@${MAKE} --no-print-directory -C . -f pretty.make clean
	@${MAKE} --no-print-directory -C . -f tutorial.make clean
	@${MAKE} --no-print-directory -C . -f serialize.make clean

help:
	@echo "Usage: make [config=name] [target]"
	@echo ""
	@echo "CONFIGURATIONS:"
	@echo "   debug32"
	@echo "   release32"
	@echo "   debug64"
	@echo "   release64"
	@echo ""
	@echo "TARGETS:"
	@echo "   all (default)"
	@echo "   clean"
	@echo "   condense"
	@echo "   pretty"
	@echo "   tutorial"
	@echo "   serialize"
	@echo ""
	@echo "For more information, see http://industriousone.com/premake/quick-start"
